#
# spec file for package perl-Scrappy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Scrappy
Version:        0.94112090
Release:        1.1
%define cpan_name Scrappy
Summary:        The All Powerful Web Spidering, Scraping, Creeping Crawling Framework
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Scrappy/
Source0:        https://cpan.metacpan.org/authors/id/A/AW/AWNCORP/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
# PATCH-FIX-UPSTREAM https://rt.cpan.org/Public/Bug/Display.html?id=82142
Patch1:         0001-Plugins-Call-initializers-in-correct-order.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Array::Unique)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::SQLite)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::ShareDir::Install) >= 0.03
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Util)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Parallel::ForkManager)
BuildRequires:  perl(String::TT)
BuildRequires:  perl(Template)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(WWW::Mechanize)
BuildRequires:  perl(Web::Scraper)
BuildRequires:  perl(YAML::Syck)
Requires:       perl(Array::Unique)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::SQLite)
Requires:       perl(File::Find::Rule)
Requires:       perl(File::ShareDir)
Requires:       perl(File::Slurp)
Requires:       perl(File::Util)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(Moose)
Requires:       perl(Parallel::ForkManager)
Requires:       perl(String::TT)
Requires:       perl(Template)
Requires:       perl(Try::Tiny)
Requires:       perl(URI)
Requires:       perl(WWW::Mechanize)
Requires:       perl(Web::Scraper)
Requires:       perl(YAML::Syck)
%{perl_requires}

%description
Scrappy is an easy (and hopefully fun) way of scraping, spidering, and/or
harvesting information from web pages, web services, and more. Scrappy is a
feature rich, flexible, intelligent web automation tool.

Scrappy (pronounced Scrap+Pee) == 'Scraper Happy' or 'Happy Scraper'; If
you like you may call it Scrapy (pronounced Scrape+Pee) although Python has
a web scraping framework by that name and this module is not a port of that
one.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -name "*.bak" -exec %{__rm} {} \;
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.mkdn
%license LICENSE

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix build, add patch
  * 0001-Plugins-Call-initializers-in-correct-order.patch
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.94112090
  see /usr/share/doc/packages/perl-Scrappy/Changes
* Sat Jun 11 2011 pascal.bleser@opensuse.org
- update to 0.94111610
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 0.94111370
* Sun May  8 2011 pascal.bleser@opensuse.org
- update to 0.94111280:
  * fixed a major bug in the download action
  * added first, last and each methods to parser
- add dependency on String::TT
* Sat May  7 2011 pascal.bleser@opensuse.org
- update to 0.94111260:
  * changed project creation script in Scrappy::Action::Generate
  * added native Data::Dumper::Dumper() support via the dumper() method
  * parser no longer croaks on "no html source" and simply returns an empty
    arrayref
* Fri May  6 2011 pascal.bleser@opensuse.org
- update to 0.93111250:
  * added action to allow the scrappy cli to download webpages
  * added Tiny::Try support to all get/post function so not to crash the
    calling app
  * fixed bug in the back() function
  * fixed bug download and store content saving functions
* Wed May  4 2011 pascal.bleser@opensuse.org
- update to 0.92111230
* Sat Apr 30 2011 pascal.bleser@opensuse.org
- update to 0.921111901
* Fri Apr 29 2011 pascal.bleser@opensuse.org
- update to 0.92111190
* Thu Apr 28 2011 pascal.bleser@opensuse.org
- update to 0.9111180
* Mon Apr 25 2011 pascal.bleser@opensuse.org
- update to 0.9111150
- add scrappy subpackage, which contains the command-line tool
* Sat Apr 23 2011 pascal.bleser@opensuse.org
- update to 0.9111121
* Fri Apr 22 2011 pascal.bleser@opensuse.org
- initial version (0.9111120)
